Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.multiring
Class MultiringRouteMessage

    java.lang.Object
      rice.p2p.multiring.MultiringRouteMessage

All Implemented Interfaces:
  RouteMessage, java.io.Serializable

public class MultiringRouteMessage
extends java.lang.Object
implements RouteMessage

Version:
  $Id: MultiringRouteMessage.java,v 1.3 2005/03/11 00:58:01 jeffh Exp $
Author:
  Alan Mislove, Peter Druschel
See Also:
  Serialized Form

Field Summary
`protected RouteMessage` | `message` The internal message
`protected Id` | `ringId` The messages's ringId

Constructor Summary
`protected` | `MultiringRouteMessage(Id ringId, RouteMessage message)` Constructor

Method Summary
`Id` | `getDestinationId()` Returns the destination Id for this message
`Message` | `getMessage()` Returns the enclosed message inside of this message
`NodeHandle` | `getNextHopHandle()` Returns the next hop handle for this message
`protected RouteMessage` | `getRouteMessage()` Returns the internal route message
`void` | `setDestinationId(Id id)` Sets the destination Id for this message
`void` | `setMessage(Message message)` Sets the internal message for this message
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the next hop handle for this message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected RouteMessage message

  The internal message

### ringId

    protected Id ringId

  The messages's ringId

Constructor Detail

### MultiringRouteMessage

    protected MultiringRouteMessage(Id ringId,
                                    RouteMessage message)

  Constructor

Parameters:
  `ringId` - DESCRIBE THE PARAMETER
  `message` - DESCRIBE THE PARAMETER

Method Detail

### getRouteMessage

    protected RouteMessage getRouteMessage()

  Returns the internal route message

  Returns:
    The internal route message

### getDestinationId

    public Id getDestinationId()

  Returns the destination Id for this message

  Specified by:
    `getDestinationId` in interface `RouteMessage`
  Returns:
    The destination Id

### getNextHopHandle

    public NodeHandle getNextHopHandle()

  Returns the next hop handle for this message

  Specified by:
    `getNextHopHandle` in interface `RouteMessage`
  Returns:
    The next hop

### getMessage

    public Message getMessage()

  Returns the enclosed message inside of this message

  Specified by:
    `getMessage` in interface `RouteMessage`
  Returns:
    The enclosed message

### setDestinationId

    public void setDestinationId(Id id)

  Sets the destination Id for this message

  Specified by:
    `setDestinationId` in interface `RouteMessage`
  Parameters:
    `id` - The destination Id

### setNextHopHandle

    public void setNextHopHandle(NodeHandle nextHop)

  Sets the next hop handle for this message

  Specified by:
    `setNextHopHandle` in interface `RouteMessage`
  Parameters:
    `nextHop` - The next hop for this handle

### setMessage

    public void setMessage(Message message)

  Sets the internal message for this message

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The internal message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.